- Qt 6.6
- Qt GRPC
- C++ Classes
- QtGrpc (Technical Preview)
- QGrpcStream
- Qt 6.6.1 Reference Documentation

# QGrpcStream Class

The QGrpcStream class implements logic to handle stream communication in the Grpc channel. More...

Header: | #include <QGrpcStream>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Grpc) target_link_libraries(mytarget PRIVATE Qt6::Grpc)
Since: | Qt 6.5
Inherits: | QGrpcOperation
Status: | Technical Preview

- List of all members, including inherited members

## Public Functions

virtual | ~QGrpcStream() override
QByteArrayView | arg() const
QLatin1StringView | method() const
void | updateData(const QByteArray &data)

## Reimplemented Public Functions

virtual void | abort() override

## Signals

void | messageReceived()

## Detailed Description

## Member Function Documentation

### `[override virtual noexcept]` QGrpcStream::~QGrpcStream()

Destroys the QGrpcStream object.

### `[override virtual]` void QGrpcStream::abort()

Cancel this stream and try to abort any call active on any channel in the stream.

### QByteArrayView QGrpcStream::arg() const

Returns serialized arguments for this stream.

### `[signal]` void QGrpcStream::messageReceived()

The signal is emitted when the stream receives an updated value from server.

### QLatin1StringView QGrpcStream::method() const

Returns the method for this stream.

### void QGrpcStream::updateData(const QByteArray &data)

Sets underlying data field with data and emits QGrpcStream::messageReceived signal.

Should be used by QAbstractGrpcChannel implementations, to update data in a stream and notify clients about stream updates.